﻿init:
    $ t = DynamicCharacter("povname", color="#330000")
    $ r = Character("Riririri", color="#ffaacc")
    $ k = Character("Kurokage", color="#015")
    $ y = Character("Yamato", color="#000")
    $ police = Character("Police Officer", color="#444")
    $ mom = Character("Mom", color="#444")
    $ dad = Character("Dad", color="#444")
    $ girl = Character("Girl", color="#444")
    
    $ povname = "Takeshi"
    
    image black = Solid("#000")
    image white = Solid("#fff")
    image red = Solid("ee0000")
    image kitchen = "kitchen.jpg"
    image cafe = "cafe.jpg"
    image street = "street.jpg"
    image logo = "logo.jpg"
    image logo b = "logob.jpg"
    image logo c = "logoc.jpg"
    image menuscreen = "menu.jpg"
    
    image cg riri = "cg_riri.jpg"
    image cg yamato = "cg_yamato.jpg"
    image cg kuro = "cg_kuro.jpg"
    image cg true = "cg_true.jpg"
    image cg breakdance = "cg_breakdance.jpg"
    
    image riri = "riri-basic.png"
    image riri sad = "riri-sad.png"
    image riri sadblush = "riri-sadblush.png"
    image riri surpriseblush = "riri-surpriseblush.png"
    image riri confused = "riri-swirrly.png"
    image riri mad = "riri-upset.png"
    image riri happy = "riri-veryhappy.png"
    
    image kuro = "kuro-blank.png"
    image kuro blush = "kuro-blush.png"
    image kuro mad = "kuro-glare.png"
    image kuro sad = "kuro-sad.png"
    image kuro happy = "kuro-smile.png"
    image kuro smirk = "kuro-smirk.png"
    
    image yamato = "yamato-blank.png"
    image yamato happy = "yamato-happy.png"
    image yamato sad = "yamato-sad.png"
    image yamato scold = "yamato-scold.png"
    image yamato surprise = "yamato-surprise.png"
    image yamato sweatdrop = "yamato-sweat.png"
    
    $ riri_points = 10
    $ kuro_points = 10
    $ yamato_points = 10
    $ breakdance_points = 0


label splashscreen:
    scene logo with fade
    $ renpy.pause(.1)
    play sound "clink.ogg"
    scene logo b with dissolve
    play sound "splash.ogg"
    scene logo c with dissolve
    $ renpy.pause(1.5)
    return

label start:
    $ save_name = "Memories of Summer"
    scene white with dissolve
    play music "ayu4.ogg"
    girl "Really? Do you mean it? You'll always be there for me?"
    "It's bright. So bright."
    "Like a summer day from a distant past."
    "\"I promise. I'll always be there for you.\""
    "The sun is shining. That's probably why it's so bright."
    "The sun is very bright, after all."
    girl "Thank you so much!"
    "The girl smiles at me. I think she's smiling, at least."
    "I can't see her face at all."
    girl "Just remember, it's a promise, okay?"
    "She takes my hand in hers. I feel something...but..."
    stop music fadeout 1.0
    scene black with dissolve
    "That dream again..."
    "That girl in my mind is such a blur, I don't even remember if she's real or not."
    "I don't even know why I keep having that dream. Maybe it's my subconscious reminding me that I still don't have a girlfriend."
    "Life is so cruel, sometimes."
    "It's dark..."
    "Where am I?"
    "I hear someone speaking. Are they talking to me?"
    $ povname = renpy.input("Wait...what's my name, again?", "Takeshi", length=20)
    if povname=="":
        $povname = "Takeshi"
    "Oh, right! I'm Henoheno %(povname)s. That's my name!"
    girl "%(povname)s! Wake up!"
    scene kitchen with dissolve                     
    "Oh."
    t "Hunh?"
    $ save_name = "At the Cafe"
    play music "somewheresunny.ogg"
    "I look up. There's a young girl with blonde hair. She looks mad."
    show riri mad:
        xalign .5 yalign 1.0 zoom 1.0
    with moveinright
    r "%(povname)s, how long are you going to sleep? You have work to do!"
    t "Sorry, sorry. I was just taking a break."
    r "You were sleeping!"
    "This is Riririri-chan. She's one of the girls who works at the Magical Cosplay Cafe."
    "I can never figure out when to stop saying her name. Sometimes I get caught in a \"Ririririririririri\" loop until someone interrupts me."
    r "We have customers,waiting on food!"
    "She pouts. It's so cute when she pouts. I want to tease her a little bit more. Maybe I can get her to cry. It's so cute when she cries."
    show riri mad:
        linear .5 xalign .05 yalign 1.0 zoom .9
    show yamato:
        xalign .95 yalign 1.0 zoom .9
    with moveinright
    y "Henoheno-san, is the food ready yet?"
    t "I'm getting there. Sorry for the wait."
    show riri with dissolve
    r "Nadeshiko! I'm so glad you came! %(povname)s was sleeping on the job again!"
    show yamato sweatdrop with dissolve
    y "Ara, ara. We can't have that, can we?"
    t "Sorry, Yamato-san...it won't happen again."
    show yamato with dissolve
    y "I hope not."
    show riri happy with dissolve
    r "Teehee, %(povname)s can't say no to Nadeshiko! I bet you have a crush on her, ne?"
    t "I-I do not!"
    "I don't want to admit that Riririri-chan is right, but I guess it's obvious. Yamato-san is the most perfect, beautiful woman I know."
    "She's the reason I applied to work at this cafe. I'm just happy to be by her side every day."
    "Although the other girls who work here aren't too bad, either..."
    y "Please finish the food quickly. We want repeat customers, after all."
    t "No problem."
    show riri
    show yamato happy
    with dissolve
    y "Thank you."
    "Ah, that smile! That beautiful smile..."
    hide yamato
    hide riri
    with moveoutright
    "I wish I could admire her beauty a little longer, but I don't want to make her mad again."
    "I look at the orders on the list. Two omelettes and a parfait."
    "I'll start the omelettes first, then the parfait."
    "I break a few eggs into a bowl and beat them. Then I pour them into a hot pan."
    "This is what I do to make omelettes, because omelettes are made out of eggs."
    "The eggs cook quickly, and I throw the finished omelettes on some plates."
    "I grab the plates and head to the counter."
    show kuro
    k "Henoheno."
    with vpunch
    t "Woah!"
    t "Kurokage-san! I didn't see you there..."
    k "Obviously."
    "Kurokage-san is always so quiet, I never know when she's around. She's so mysterious."
    "Wait, why am I even thinking all of this?"
    "I've been working with these girls for weeks. I shouldn't be thinking up introductions to them in my head. That's just weird."
    k "Are the omelettes done yet?"
    t "U-um! Yeah!"
    "I hold up both plates."
    t "Here they are!"
    hide kuro with moveoutright
    "She takes them without a word and leaves the kitchen."
    "Hmph. The least she could have done was say thanks."      
    "That girl is so mysterious!"
    "I don't have time to think about her, though. I have to make a parfait!"
    "I open up the freezer and pull out the ice cream, but the carton feels super light."
    "When I look inside, I see that there's hardly any ice cream left!"
    "I scrape as much as I can from the sides and bottom, and there's just barely enough to make the parfait."
    show yamato with moveinright
    y "Henoheno-san?"
    t "Right here!"
    "I hand the parfait to Yamato-san. I hope she's impressed."
    show yamato happy with dissolve
    y "Thank you."
    hide yamato with moveoutright
    "Yes! I made her happy! More points for me!"
    "I just hope that no one orders any more parfaits. We're completely out of ice cream now."
    "I thought for sure we had more ice cream. Someone must have eaten it. But WHO?"
    $ save_name = "Ice Cream Mystery"
    "After the cafe closes, I go into the dining area to talk to the girls."
    scene cafe
    show riri:
        zoom .9 xalign -0.1 yalign 1.0
    show kuro:
        zoom .9 xalign 1.1 yalign 1.0
    show yamato:
        zoom .9 xalign .5 yalign 1.0
    with dissolve
    t "We need to talk."
    y "What's wrong, Henoheno-san?"
    t "Someone ate the last of our ice cream! We almost ran out today!"
    y "Arara...that's no good."
    t "I want to know who did it!"
    show kuro mad with dissolve
    k "Don't look at me. I'm on a diet."
    show riri surpriseblush with dissolve
    r "Riririri didn't do it! Ice cream gives me a headache!"
    y "Well, that's a problem, because I didn't eat it, either."
    k "Are you sure you didn't just forget to stock more ice cream?"
    t "There was plenty yesterday! Someone ate the ice cream, and I intend to find out who it was!"
    show kuro with dissolve
    k "And what would you do once you found out? What's done is done."
    show riri with dissolve
    r "Why don't you just order more? It's not like anything bad happened."
    t "Don't you see? What if things don't work out next time? We can't just let the culprit get away."
    t "Eating all that ice cream is the same as stealing, after all!"
    show riri mad with dissolve
    r "It's not stealing! Nadeshiko said we could eat whatever we wanted to."
    show yamato sad with dissolve
    y "It's true I did say that, but you can't just eat food without restocking."
    t "Don't worry, Yamato-san. I'll find the culprit!"
    k "This isn't a crime drama, you know."
    show riri sad with dissolve
    r "Now you're just showing off, %(povname)s."
    menu:
        "Accuse Riririri of eating the ice cream.":
            $ riri_points -= 2
            $ kuro_points += 2
            t "Riririri-chan! Even if you say that cold things give you a headache, I know that you can't resist sweets!"
            t "I'm sure you're the one who ate all the ice cream!"
            show riri surpriseblush with dissolve
            r "Wh-what? That's not true!"
            show riri mad with dissolve
            r "You meanie!"
            hide riri with moveoutleft
            "Riririri-chan runs out of the room. I think I made her angry."
            show yamato sad:
                linear .5 xalign .1 zoom .95
            show kuro mad:
                linear .5 xalign .9 zoom .95
            y "Ara maa, Henoheno-san. Maybe you should have been more gentle with her."
            t "...I'm sorry."
            y "I think I should go speak with her."
            hide yamato with moveoutleft
            show kuro mad:
                linear .5 xalign .5 zoom 1.0
            "Yamato-san leaves too. Now I feel really guilty for accusing Riririri."
            k "Well, I hope you're happy."
            t "Happy? Why would I be happy?"
            show kuro with dissolve
            k "You tried to show off in front of Yamato, and now Riririri is sad."
            t "I didn't mean to make her sad, okay? I just..."
            "I can't argue. Kurokage-san's right, after all. All of this was just to show off to Yamato-san."
            show kuro sad with dissolve
            k "Do you really like Yamato that much?"
            t "She's so beautiful."
            k "There's more to women than just beauty, you know."
            t "But I don't understand women. You're all just so mysterious!"
            show kuro smirk with dissolve
            k "We'd be less mysterious if you spent more time just getting to know us instead of showing off."
            t "You're right. I'm sorry. Then why don't you tell me about yourself?"
            show kuro with dissolve
            k "Me? What do you want to know?"
            t "Anything. Why did you decide to work here at the cafe?"
            k "That one's easy. I need money."
            t "But why here?"
            k "I heard a rumor that there are people around here who can use magic. I wanted to see it for myself."
            t "Haha! Magic! That's a good one, Kurokage-san. Everyone knows magic isn't real."
            show kuro smirk with dissolve
            k "Like I said. It's a rumor."
            hide kuro with moveoutleft
            "She leaves the cafe. She didn't even say goodbye!"
            "This is the first time I've gotten to chat with her. I think I got to know her a little bit better."
        "Accuse Kurokage of eating the ice cream.":
            $ kuro_points -=2
            $ yamato_points += 2
            t "Kurokage, you're the one who ate all the ice cream!"
            show kuro with dissolve
            k "Oh? What proof do you have of that?"
            t "You have a really nice figure already."
            k "And?"
            t "So why would a girl like you be on a diet? You clearly made that up so that we wouldn't think you ate the ice cream!"
            show kuro mad with dissolve
            k "That's your proof? You know, you're the one with access to the ice cream."
            k "Who's to say you didn't eat it all?"
            t "But I didn't!"
            k "Neither did I!"
            show yamato sweatdrop with dissolve
            y "Maa, maa, let's not argue amongst ourselves."
            y "I trust that whoever did eat it knows better now and we can call this case closed."
            t "Fine..."
            "I really don't want to contradict Yamato-san."
            k "Works for me. I'm out of here."
            show riri mad:
                linear .5 xalign .1 zoom .95
            show yamato sweatdrop:
                linear .5 xalign .9 zoom .95
            hide kuro with moveoutright
            show riri happy with dissolve
            r "If that's all, I'll be going, too!"
            show yamato sweatdrop:
                linear .5 xalign .5 zoom 1.0
            hide riri with moveoutleft
            t "But-"
            show yamato happy with dissolve
            y "Don't worry about it, Henoheno-san. You did your best."
            t "Sorry I couldn't figure out who did it."
            y "You don't have to. Your concern is enough, and I'm grateful for it."
            t "Well, I just don't want there to be any trouble, you know?"
            show yamato with dissolve
            y "You're so responsible, Henoheno-san. I'm very impressed."
            t "R-really? You're impressed?"
            "I impressed Yamato-san! Score!"
            show yamato happy with dissolve
            y "Of course I am. You work hard, and you're very kind to me. Thank you so much."
            y "I'll see you tomorrow, okay?"
            t "O-okay..."
            "I can barely hide my excitement! An actual compliment from Yamato-san! I just want to laugh with happiness!"
            "Whoever took the ice cream, thank you! I got a chance to make Yamato-san smile!"
            "Now all I have to do is keep doing this, and eventually she'll like me, right?"
        "Accuse Yamato of eating the ice cream.":
            $ yamato_points -= 2
            $ riri_points +=2
            t "Yamato. Are you the one who ate it?"
            show yamato surprise with dissolve
            y "Me? I wouldn't lie about such a thing, Henoheno-san."
            t "Well, if it's you, then it doesn't really matter, right?"
            t "This is your cafe, Yamato-san. You're free to do what you want."
            show yamato happy with dissolve
            y "That's true. Well, I'll head out and get some more tonight, so there's nothing to worry about."
            t "Great. I'll see you tomorrow, then."
            k "So can we go now?"
            y "Of course."
            k "That was the most pointless discussion ever."
            hide yamato
            hide kuro
            with moveoutright
            show riri mad:
                linear .5 xalign .5 zoom 1.0
            r "E-eto...%(povname)s?"
            t "Yes?"
            show riri sad with dissolve
            r "I'm sorry I lied to you..."
            t "What are you talking about?"
            r "I'm the one who ate all the ice cream. You knew, didn't you?"
            t "Well, I was pretty sure it was you. After all, you're the one who got really defensive."
            r "Then why didn't you say anything? Why did you say it was Nadeshiko?"
            t "If she ate it, then there's really no problem, right? Yamato-san is the owner, after all."
            t "And I'm sure you won't do it again, so I don't need to make things any harder on you."
            show riri sadblush with dissolve
            r "Thank you, %(povname)s...you're so kind."
            t "Haha, don't say that. I'm a mean guy you know!"
            show riri surpriseblush with dissolve
            r "No! %(povname)s is really very nice! I know it!"
            t "If you say so."
            t "Anyway, you should be getting home now. Aren't your parents worried about you?"
            show riri happy with dissolve
            r "Don't be silly! Riririri lives alone! I'm eighteen, after all."
            t "Right..."
            r "I'll see you tomorrow!"
            t "See you tomorrow, Riririri."
        "Accuse all of them of eating the ice cream.":
            $ riri_points -= 1
            $ yamato_points -=1
            $ kuro_points -= 1
            t "You ALL ate the ice cream! That's why so much of it is gone!"
            show riri mad
            show yamato scold
            show kuro mad
            with dissolve
            k "Are you stupid?"
            r "Do you think we're all pigs or something?"
            y "Henoheno-san, maybe you should think this through a little better..."
            t "Um...yeah..."
            k "I'm out of here."
            r "I'm going home!"
            hide kuro with moveoutright
            hide riri with moveoutleft
            show yamato scold:
                linear .5 zoom 1.0
            t "Um..."
            show yamato sad with dissolve
            y "Sorry, Henoheno-san. Maybe you should just go home."
            t "Uh, yeah...I'll do that."
            "Hopefully tomorrow, no one will remember this incident..."
        "Breakdance!":
            $ breakdance_points += 1
            t "You know what? I don't care anymore. I'm just going to breakdance!"
            play music "breakdance.ogg"
            "I turn on some music and break it down on the cafe floor."
            show riri surpriseblush
            show yamato surprise
            show kuro
            with dissolve
            "Everyone is staring at me."
            t "I'm uh...just gonna go home now. See you tomorrow!"
            stop music
    jump day02
            
label day02:
    $ save_name = "Back at the Cafe"
    scene kitchen with fade
    play music "somewheresunny.ogg"
    "Another day working at the Magical Cosplay Cafe!"
    "Hm...I wonder why it's called that anyway."
    if kuro_points > 10:
        "Kurokage-san mentioned something about people here being able to use magic."
        "I wonder if that's true!"
        "Nah...it can't be."
    else:
        "Maybe I should ask Yamato-san about it. It's her cafe, after all."
        show yamato with moveinright
        y "Good morning, Henoheno-san."
        "Perfect timing!"
        t "Hey, Yamato-san. You're looking as beautiful as ever!"
        show yamato sweatdrop with dissolve
        y "Maa, thank you. But you should be focusing on work, ne?"
        t "Oh, right!"
        t "Yamato-san. I had a question."
        show yamato with dissolve
        y "Yes?"
        t "Why do you call this place the Magical Cosplay Cafe?"
        y "Oh, that's obvious."
        show yamato happy with dissolve
        y "There's a strong magic concentration in this area."
        y "Lots of people here can use magic!"
        t "Use magic? Haha, is that a joke?"
        show yamato with dissolve
        y "Not at all. You've never seen magic users around here?"
        t "Well, no."
        y "Hm...me neither."
        show yamato happy with dissolve
        y "But it's an interesting thing to think about it, isn't it?"
        hide yamato with moveoutright
        "Huh. That explanation makes perfect sense!"
    "Well, time to get started at work!"
    "Cooking things."
    "Because that's totally my job here."
    "I get to work cooking busily. Is busily a word?"
    "I'm busy! Very busy! Lots of food to cook."
    show riri happy with moveinright
    r "Hello, %(povname)s! I have another-"
    show riri surpriseblush with dissolve
    r "Ah-"
    $ save_name = "Clumsy Riririri"
    hide riri with moveoutbottom
    play sound "dishbreak.ogg"
    with hpunch
    r "Kyaa!"
    "Riririri-chan trips as she walks into the kitchen and dishes go tumbling everywhere."
    show riri confused with dissolve
    r "Ugao..."
    "Riririri-chan is such a klutz! She seems to break dishes all the time."
    "This is getting expensive."
    menu:
        "Tease her.":
            t "You're such a klutz, Riririri-chan!"
            $ riri_points -= 4
            "I poke her cheek as she tries to pick up dishes."
            show riri mad with dissolve
            r "%(povname)s, stop it! That's mean!"
            t "I can't help it! You're always breaking dishes. I don't know why Yamato-san even keeps you around."
            r "Hmph! She has her reasons!"
            "Riririri-chan stamps her foot on the ground."
            r "Forget it! Just pick this up."
            hide riri with moveoutright
            "Oops. Guess I made her mad..."
        "Help her pick up dishes.":
            $ riri_points += 4
            t "Here, let me help you pick up those dishes."
            "I kneel next to her and help pick up the broken shards."
            t "Ow!"
            "I accidentally cut myself on one of the pieces of glass and my finger starts bleeding."
            show riri surpriseblush with dissolve
            r "Oh no! %(povname)s, are you okay?"
            "Riririri-chan looks at the blood on my finger."
            r "You're hurt! And it's all my fault! I'm so sorry!"
            "She grabs my hand in hers."
            t "It's nothing! Don't worry about me."
            show riri sad with dissolve
            r "No, let me help! It's my fault!"
            "Riririri-chan holds my hand up and begins licking the blood off of my cut."
            t "U-um...Riririri..?"
            r "Yes, %(povname)s?"
            t "What are you doing?"
            show riri sadblush with dissolve
            r "I'm just trying to help..."
            "This is so unsanitary. This better not get infected."
            t "It's okay! Don't worry about me."
            r "Do you not want me to help?"
            show riri sad with dissolve
            r "You just see me as a kid, don't you?"
            r "Please, %(povname)s...I'm a woman, you know."
            t "I-I know...it's just..."
            show riri surpriseblush with dissolve
            r "I'm so sorry! I don't know what came over me."
            t "No, it's okay. Just..."
            show riri sadblush with dissolve
            r "I have to get back to work."
            hide riri with moveoutright
            "Whoa...I wasn't expecting that."
            "Riririri-chan looks so young, sometimes I forget she's really 18."
            "At least, she says she's 18. Huh."
        "Breakdance!" if breakdance_points > 0:
            $ breakdance_points += 1
            play music "breakdance.ogg"
            "I turn on some music and try to break it down, but I wind up cutting my hands on broken dishes."
            show riri confused with dissolve
            r "%(povname)s...what are you doing?"
            t "Uh...nothing."
            "I stand up and wash all the blood off of my hands."
            r "Maybe I should leave you alone."
            stop music fadeout 1.0
            hide riri with moveoutright
    show kuro with moveinright
    k "Henoheno."
    $ save_name = "So Mysterious Kurokage"
    play music "othersideofthedoor.ogg"
    t "Whoa! Kurokage-san, I didn't expect to see you here."
    show kuro smirk with dissolve
    k "Why not? I work here."
    t "Oh yeah. It's just that you surprise me. You're so mysterious!"
    show kuro with dissolve
    k "You keep saying that. I think you're just not trying hard enough."
    t "Uh yeah...I guess..."
    k "Couldn't you describe me in any other way?"
    menu:
        "Tell her she's beautiful.":
            $ kuro_points += 4
            t "Well, I also think you're beautiful."
            show kuro blush with dissolve
            k "Really?"
            t "Of course. I wouldn't say that if I didn't believe it. I really think you're beautiful."
            show kuro sad with dissolve
            k "But I thought you were interested in Yamato."
            t "Well, I admit that Yamato-san is beautiful in an ideal girl sort of way."
            t "But there's something about you that's beautiful, too. Your darkness is attractive."
            k "My darkness?"
            t "The way you carry yourself. It seems like you're hiding something dark inside of you. Something I don't understand."
            t "But it makes you beautiful."
            k "Most people are scared by darkness, Henoheno. Why do you find it beautiful?"
            t "I don't know. You just make it look good, I guess."
            show kuro smirk with dissolve
            k "Is that a compliment?"
            t "It's meant to be."
            "She approaches me and reaches out to touch my hair."
            k "I think you're very sweet."
            t "Me? No, I'm not always sweet. I mean, I can be a jerk sometimes."
            "She smiles and pets me on the head."
            k "No. Under all the jerkiness, I know you're really very sweet and understanding."
            "She runs her fingers through my hair."
            k "Thank you so much for your kindness."
            t "Y-yeah...any time."
            show kuro with dissolve
            k "I should get back to work."
        "Tell her she's creepy.":
            $ kuro_points -= 4
            t "Um...how about creepy?"
            show kuro mad with dissolve
            k "..."
            t "Okay, I guess that wasn't a good choice."
            k "Not really."
            k "I'll leave you before you say something even more stupid."
        "Breakdance!" if breakdance_points > 1:
            $ breakdance_points += 1
            play music "breakdance.ogg"
            t "Break it down!"
            "I start doing the worm on the kitchen floor."
            "Ow! There are still broken dishes from before! I'm bleeding again."
            show kuro mad with dissolve
            "Kurokage-san doesn't look impressed."
            k "I'm not impressed."
            "Yup. She's not impressed."
            show kuro with dissolve
            k "Is that supposed to be an interpretive dance or something?"
            t "Um...I'm not sure."
            k "Right..."
            stop music fadeout 1.0
    hide kuro with moveoutright
    $ save_name = "Beautiful Yamato"
    show yamato with moveinright
    play music "ayu3.ogg"
    y "Hello, Henoheno-san."
    t "Hey, Yamato-san. What's up?"
    y "I just wanted to see how you were doing. There's a lull in the customers right now, so I came to check on you."
    "Oh, Yamato-san! You really are such an angel, worrying about me like this!"
    t "That was really nice of you. I'm doing fine."
    t "What about you? How are you doing?"
    show yamato sad with dissolve
    y "I'm feeling tired. Running this cafe is difficult, and it's very busy right now."
    "Wait, it's busy right now? She just said there was a lull in the crowd."
    "Is it too much to ask for a little continuity here?"
    menu:
        "Tell her to do her best.":
            $ yamato_points -= 4
            t "Well, do your best!"
            y "I am..."
            t "I mean...keep doing your best."
            show yamato with dissolve
            y "Yes, that is the plan."
            t "Yeah. Um...yeah."
            t "Yeah."
            "Way to go, idiot. That wasn't very helpful, was it?"
            y "Well, I suppose I should see if we have any new customers."
            t "Right. Work. Yeah."
            hide yamato with moveoutright
            "That...didn't go well."
        "Offer to do some work for her.":
            $ yamato_points += 4
            t "If you want, I could do some work for you?"
            show yamato happy with dissolve
            y "You would really do that for me?"
            t "Sure. What do you need done?"
            show yamato with dissolve
            y "Could you help take some of the dishes back to the kitchen and wipe the tables down?"
            y "We're really swamped right now, so none of us can do it."
            t "Sure! I'd be happy to."
            show yamato happy with dissolve
            y "Thank you so much!"
            scene cafe with dissolve
            "I head out to the cafe and begin collecting dishes from the tables."
            "Yamato-san was right! There really are a lot of people out here."
            "Except...you can't see any of them in this image because, um...because."
            "I take the dishes back to the kitchen and wipe down the tables."
            scene kitchen with dissolve
            "When I get back to the kitchen, I begin loading up the dishwasher."
            show yamato with moveinright
            y "Henoheno-san, thank you for your help. You're a lifesaver!"
            t "Not a problem."
            "I flex one of my arms to show off to her."
            t "I'm pretty cool, aren't I?"
            show yamato happy with dissolve
            y "You are."
            t "Don't you think I deserve a kiss for all my hard work?"
            show yamato surprise with dissolve
            y "Ara ara...you're so forward, Henoheno-san."
            t "Can you blame me?"
            show yamato sweatdrop with dissolve
            y "W-well...maybe some other time, ne?"
            hide yamato with moveoutright
            "Yeah, she's totally into me."
        "Breakdance!" if breakdance_points > 2:
            $ breakdance_points += 1
            play music "breakdance.ogg"
            "I spin on my head. The kitchen floor is very smooth, so it's easy."
            show yamato sweatdrop with dissolve
            y "E-eto..."
            y "Maybe you need some time off, Henoheno-san. You've been doing too much cooking."
            y "You may go home now if you like."
            stop music fadeout 1.0
            hide yamato with moveoutright
    "I look around the kitchen."
    stop music fadeout 1.0
    "You know, for a chef, I do a surprisingly small amount of cooking."
    "And if they're busy out there, shouldn't I be busy back here, too?"
    "This story seems like it's falling apart."
    "Oh, well. I'm the hero, after all. I don't actually have to do that much REAL work." 
    "Any time a hero has to do menial work, it's always pushed aside in a musical montage."
    play sound "explosion.ogg"
    with hpunch
    $ save_name = "Magical Battle!"
    "Whoa! What was that?"
    show cafe with dissolve
    play music "unrelated.ogg"
    "I run out into the cafe, but no one is there."
    "Where did everyone go?"
    scene street with dissolve
    "I run outside to see what's happening."
    police "You, sir! Stay back, there's a magical battle going on!"
    t "What?"
    police "Don't you know this area has magic users in it?"
    t "Um...I guess so."
    police "There's a magical battle going on right now between a defender of justice and an agent of darkness."
    police "It's dangerous for random bystanders, so it's best if you just go inside!"
    t "Ha! I'm not a random bystander. I'm a hero!"
    "I run down the street in the direction of the explosion. This is my time to shine!"
    "I can't find any battle anywhere! Where was the fight?"
    "I can't believe I missed it!"
    "Out of the corner of my eye, I see someone run into an alley. Maybe it's one of the magic users!"
    "I'm about to chase after the person, but I feel as if someone is watching me."
    "Maybe I should confront the person who's watching me. I bet they know something about me."
    "I'm worried about the girls, though."
    "Maybe I should go back to the cafe to see if they're okay."
    menu:
        "Chase after the person in the alley.":
            $ riri_points += 3
            "Forget the person following me. If they want to talk to me, they will."
            "I run into the alley."
            stop music
            show riri confused with hpunch
            r "Ugau!"
            t "Riririri-chan!"
            "I run straight into Riririri-chan."
            r "Itai... (*Translator's Note: \"Itai\" means \"ow.\")"
            t "Are you okay?"
            show riri sad with dissolve
            r "Riririri's okay...just surprised. What is %(povname)s doing here?"
            t "Um...I heard there was a magical battle going on, and I thought I saw someone here."
            t "You didn't see a magic user run by here, did you?"
            show riri surpriseblush with dissolve
            r "A magic user? None here! Definitely not!"
            t "That's so strange. I thought for sure I saw someone!"
            r "Nope. Riririri was just going for a walk. There was no one else here."
            t "Hm...well be careful. I don't want you to get hurt."
            show riri sadblush with dissolve
            r "Ne...%(povname)s..."
            t "What?"
            r "I have a question."
            t "Okay."
            r "What if you're fighting for something...like trying to be good, you know."
            show riri sad with dissolve
            r "And then you wind up having to fight a friend. Like a coworker..."
            t "Huh?"
            show riri with dissolve
            r "Never mind. It's a silly question. I'll see you tomorrow."
            hide riri with moveoutleft
            "Well, that came out of nowhere."
            "Too bad I didn't find any magic user!"
        "Confront the person following you.":
            $ kuro_points +=3
            "I'm going to talk to whoever is watching me."
            "I spin around to see who it is."
            stop music
            show kuro with hpunch
            t "Woah!"
            k "Something wrong?"
            play music "othersideofthedoor.ogg"
            t "I wasn't expecting to see you there. You're just so mysterious."
            k "You know, saying that I'm mysterious doesn't actually make me mysterious."
            t "But there are plenty of mysterious things about you!"
            t "Like, what are you doing here, Kurokage-san?"
            k "I heard there was a magical battle happening here. You ran off in this direction, so I was worried."
            t "You were worried about me? Really?"
            show kuro smirk with dissolve
            k "Of course. I wouldn't want you to get hurt. That would be terrible."
            t "Wow, I never knew you cared!"
            k "Oh, I care more than you realize."
            k "But since I know you're safe now, I'll leave you to your own. See you tomorrow."
            hide kuro with moveoutleft
            "Kurokage-san really cares about me? I'm so touched!"
            "Maybe she's not the dark ice queen I always thought she was."
        "Return to the cafe.":
            $ yamato_points +=3
            "A real hero doesn't just run off to leave three defenseless girls behind."
            "I race back to the cafe."
            scene cafe with dissolve
            "I run in and nearly stumble into Yamato-san."
            stop music
            show yamato surprise with dissolve
            y "Henoheno-san! You surprised me!"
            "Yamato-san is fixing the bow on her hair. She looks out of breath."
            play music "ayu3.ogg"
            t "Sorry. I was just worried about you."
            show yamato sweatdrop with dissolve
            y "Ara, that's very sweet of you. I'm fine, though."
            t "Where are Riririri-chan and Kurokage-san?"
            y "Oh, I sent them home already. We're closing early because of the magical battle."
            t "You saw it, too?"
            y "No, I didn't see a thing! I just heard about it from a very nice police officer."
            show yamato with dissolve
            y "Anyway, feel free to go home now."
            t "Wait, I can walk you home. It's dangerous out there, after all."
            show yamato sweatdrop with dissolve
            y "Ararara, that's really not necessary. Thank you so much for the kind gesture."
            t "Alright, if you insist. I'll see you tomorrow, then."
        "Breakdance!" if breakdance_points > 3:
            $ save_name = "Break it Down!"
            play music "breakdance.ogg"
            $ breakdance_points += 1
            "I think it's time for a dance break!"
            scene cg breakdance with dissolve
            "I start dancing on the sidewalk, and soon a crowd gathers."
            "They're all cheering for me!"
            "I finally feel accepted!"
            "The girls never treated me like this. They never understood."
            "I'm going to quit my job at the Magical Cosplay Cafe and become a full time breakdancer."
            "It's the only happy ending for me!"
            scene white with dissolve
            centered "Breakdancing End"
            $ persistent.breakdance = True
            jump credits
    scene cafe with fade
    $ save_name = "Cafe Again"
    play music "somewheresunny.ogg"
    "I show up early at the Magical Cosplay Cafe the next day."
    if persistent.ririend and persistent.kuroend and persistent.yamatoend and riri_points > 11 and yamato_points > 11 and kuro_points > 11:
        jump end_trueend
    elif riri_points > 15 and riri_points > kuro_points and riri_points > yamato_points:
        jump end_riri
    elif yamato_points > 15 and yamato_points > kuro_points and yamato_points > riri_points:
        jump end_yamato
    elif kuro_points > 15 and kuro_points > yamato_points and kuro_points > riri_points:
        jump end_kuro
    else:
        "Today is just like all the other days."
        "I cook food in the kitchen and nothing else happens."
        "In the end, nothing ever happens."
        "If this is the life of a hero, it's awfully boring..."
        scene white with dissolve
        centered "Boring End"
        jump credits
    
label end_riri:
    $ save_name = "A Little Girl in Pink"
    show riri sad with dissolve
    play music "unrelated.ogg"
    r "%(povname)s...can we talk?"
    "Riririri-chan is waiting for me when I enter."
    t "What is it?"
    r "Sometimes...I feel like you don't respect me."
    t "What do you mean?"
    r "%(povname)s...I know I'm not as beautiful as Nadeshiko or as sexy as Youko, but that doesn't mean I can't be a woman!"
    r "I wish you wouldn't tease me so much!"
    show riri sadblush with dissolve
    "Riririri-chan blushes. It's so cute when she blushes!"
    "I take her into my arms and hold her close to me."
    t "It's okay, Riririri-chan. You're beautiful to me."
    show riri surpriseblush with dissolve
    r "%(povname)s...do you mean that?"
    "I pet her gently on the head."
    t "Of course I do."
    show riri sadblush with dissolve
    r "Thank you so much, %(povname)s. You're so kind to me..."
    menu:
        "Tell her to have a nice day.":
            t "Well, then. Have a nice day."
            show riri happy with dissolve
            r "You too, %(povname)s! You're such a great friend! I'll see you tomorrow."
            hide riri with moveoutleft
            "Wow. That was...anticlimactic."
            "Is this really it? I'm a great friend? I guess it's a good thing I didn't try to take it any further."
            "Still, I feel so disappointed. This is not the ending I wanted..."
            scene white with dissolve
            centered "Good Friends End"
            jump credits
        "Make mad love to her.":
            "She closes her eyes, and I lean down to kiss her."
            "Already, my hands are running down her back to unfasten her dress."
            with hpunch
            police "HOLD IT RIGHT THERE!"
            show riri surpriseblush with dissolve
            t "What the- who are you?"
            police "We're the police! You're under arrest!"
            scene cg riri with dissolve
            t "What are you talking about?"
            police "This girl is only ten, and you were clearly about to initiate sex with her! On top of that, she's your own sister!"
            "The officer scowls at me."
            police "Does your depravity know no bounds?"
            t "She's eighteen, and she's not my sister!"
            police "Are you some kind of idiot or something?"
            police "She lied about her age to get a job. Kids do that!"
            "The officer holds up a sheet of paper."
            police "Here are her birth records. Not only does it list her birth date as only ten years ago, but these records show that she's actually your blood sister."
            t "WHAT!?"
            police "Your parents couldn't support more than one child, so she was put up for adoption."
            t "I don't remember any of this! My parents never told me!"
            t "Wait, who are you, anyway?"
            police "I'm from the department of Improbable Coincidence. My name is Hansen Kurisu, and I'll be the one asking the questions here!"
            t "But you just answered my question..."
            police "That's not important! The important thing is, she's your ten year old sister, and you're under arrest."
            "As I feel the cold of handcuffs on my wrists, I suddenly remember a conversation I overheard between my parents."
            scene white with dissolve
            play music "ayu4.ogg"
            mom "I can feel it. She's the Chosen One."
            dad "We can't keep her here. They would have taken %(povname)s if Oujirou hadn't saved him."
            dad "%(povname)s doesn't have any magic, but I'm sure they've figured it out by now. They'll know to look for a sibling."
            mom "You're right. We'll have to hide her. We'll put her up for adoption and have Oujirou watch over her secretly."
            dad "I just pray she'll be safe...our poor little Riririri..."
            "I have a younger sister, and I've just remembered NOW?"
            "Wait, Chosen One? What's THAT all about?"
            "Great. I've finally just remembered something important to the plot, and now I'm getting shipped off to jail."
            "Oh, well. I could think of worse."
            scene white with dissolve
            centered "Surprise Sister End"
            $ persistent.ririend = True
            jump credits
    
label end_kuro:
    $ save_name = "A Dark Confession"
    scene kitchen with dissolve
    "When I enter the kitchen, someone's already waiting there for me."
    show kuro with dissolve
    k "Good morning, Henoheno."
    t "Oh, Kurokage-san. I didn't expect to see you here."
    k "That seems to be your default setting."
    t "I'm sorry. I really shouldn't think of you like that, huh?"
    t "I know you're not a bad person, Kurokage-san."
    play music "unrelated.ogg"
    t "People might be scared of you at first, but you're really very kind, and I realize now that on the inside, you're just a girl."
    show kuro blush with dissolve
    k "Do you really think that?"
    t "Of course I do! I understand you now. Girls are fragile, but you try to hide it with your tough attitude. It's okay. I'll support you no matter what."
    show kuro happy with dissolve
    "She smiles. It's such a gentle smile. I think this is the first time I've seen her like this."
    k "Hey...Henoheno..."
    t "Yes?"
    k "Did you mean that? About supporting me no matter what?"
    show kuro sad with dissolve
    k "Sometimes I don't know who I can trust. I push people away from me because I don't want to get hurt."
    k "A long time ago, I met a boy who promised me that he'd be there for me when I needed him most."
    "A promise...a long time ago..?"
    k "I was so happy...but then he disappeared without a trace. After that, I couldn't bring myself to trust anyone."
    k "Sometimes I wish he were still here with me."
    "This sounds so familiar. What if Kurokage is the girl from my dream?"
    "I don't actually remember promsing to be there for anyone, but I kinda sorta remember making a promise about something to some girl."
    "She's so vulnerable right now, if I told her that it was me, I bet she'd fall in love with me for sure!"
    "I'm not even sure it WAS me, though. After all, I'm sure tons of people make childhood promises. Was I even one of them?"
    menu:
        "Say you hope she finds him.":
            t "Well, I hope you find him."
            k "Yeah...me too..."
            "She looks really disappointed."
            k "I guess I'll see you tomorrow."
            t "Yeah..."
            show kuro with dissolve
            k "..."
            hide kuro with moveoutleft
            "Should I have said more? It looked like she was waiting for me to say something."
            "I can't believe I let a chance slip away from me like that."
            "I don't think I'll get that chance again. I wish I could go back and try again."
            "Ha! Like that's possible."
            "I guess I'm stuck with this boring life forever. Might as well get used to it."
            scene white with dissolve
            centered "Lost Your Chance End"
            jump credits
        "Claim you're the boy from her past.":
            t "Kurokage! That was me!"
            show kuro blush with dissolve
            k "Wh-what?"
            "I grab her shoulders."
            t "I was the boy from your past! I remember you!"
            k "%(povname)s! That was really you? I've been looking for you all this time!"
            show kuro happy with dissolve
            k "I thought I'd never see you again..."
            "I hold her close to me. I can feel her heart racing in her chest."
            t "I'm so sorry I left you. I don't even remember what happened after that."
            k "It's okay. You're here now."
            t "And I'll never leave you. I promise that I'll always be here for you when you need me."
            k "Really? Can I count on you to do anything for me?"
            t "Um, sure...I guess so."
            show kuro smirk with dissolve
            k "Perfect."
            "Her eyes start to glow yellow, and I feel a strange coldness inside of me."
            t "What's going on?"
            k "The contract is complete. You have given your word."
            scene cg kuro with dissolve
            t "Wait, what are you doing to me?"
            k "I'm sacrificing you to summon a demon of darkness. Obviously."
            t "Wait, I take it back! I don't want to die!"
            k "You already gave your word. There's no way to take it back."
            t "So you're really an evil magic user, and you were only interested in me as a possible sacrifice?"
            k "Yes."
            t "I think I liked you better when you were so mysterious."
            k "If it's any consolation, you won't die completely. The demon will possess your body and destroy the world."
            k "You'll actually be one of the few people not dead by the end of this."
            t "No, that's not really a consolation at all."
            "She shrugs."
            k "Oh well. I tried."
            "It feels like my insides are being ripped out, and suddenly I lose all feeling."
            scene red with dissolve
            play sound "explosion.ogg"
            "I hear people screaming and explosions."
            "Dimly, I can see my own hands wreaking destruction around me."
            "I can't control myself! I can't control anything!"
            "It's just like a bad dream except that it's real!"
            "Goodbye world. Our time together was too short. Sorry for destroying you, but in my defense, I'm currently possessed."
            scene white with dissolve
            centered "Sacrificed End"
            $ persistent.kuroend = True
            jump credits
    
label end_yamato:
    $ save_name = "She's Just Shy"
    show yamato surprise with dissolve
    y "Ara, Henoheno-san. You're here early."
    t "Of course! I want to do my best for your cafe, Yamato-san."
    show yamato happy with dissolve
    y "Thank you for all your hard work, Henoheno-san. I'm very grateful for everything you do."
    t "Haha, don't say that. You're the one who's the hard worker. I mean, you run this place after all."
    show yamato with dissolve
    y "I confess, it is a difficult job. Sometimes I feel as if everything depends on me, and it's very stressful."
    play music "ayu3.ogg"
    t "We do rely on you, Yamato-san, but it's okay for you to rely on us, too."
    t "Riririri-chan...Kurokage-san...and me, too. All of us care about you."
    y "I really don't deserve your concern."
    t "Don't say that! We're like a family, aren't we? Let us worry about you a little sometimes."
    t "You know, despite all your kindness, you always seem to distance yourself from us. Why is that?"
    show yamato sad with dissolve
    y "..."
    "She looks even sadder now. I wish I could cheer her up, even a little."
    "I wrap my arms around her."
    t "Yamato-san, please..."
    "She pushes me away."
    y "Henoheno-san...don't. I can't."
    t "Can't? Why not? I want to be here for you. I want to take care of you!"
    show yamato scold with dissolve
    y "Please, no! It's not proper..."
    menu:
        "Let go of her.":
            "I let go of her."
            t "You're right. I'm sorry."
            show yamato sweatdrop with dissolve
            y "W-well...what's done is done. I forgive you."
            y "But please don't do it again. I don't want you to do anything you'll regret."
            t "Yeah, I'm sorry. Let's uh...let's just forget this happened."
            y "That sounds like a good idea. I'll see you tomorrow, then, Henoheno-san."
            hide yamato with moveoutleft
            "I can't believe I came that close!"
            "My dream girl, and I almost ruined our relationship."
            "Either way, I definitely ruined my chances of ever hooking up with her."
            "Stupid!"
            "Hopefully we'll both just forget this ever happened."
            "Until then, I guess I'll just continue to live out my boring days."
            scene white with dissolve
            centered "Improper End"
            jump credits
        "Don't take \"no\" for an answer.":
            t "Forget proper! I love you, Yamato-san, and I won't take no for an answer!"
            show yamato sweatdrop with dissolve
            y "Ara...Henoheno-san, if you really loved me, you'd wait for me, wouldn't you?"
            "Now she's just making up excuses."
            t "I can't wait anymore! All you do is play with my feelings. Don't you understand?"
            "I can feel my passion welling up inside of me. I have to have her!"
            "I reach out to grab her arm. She tries to escape, but I'm faster."
            "I push her against the wall and tear at the obi on her kimono."
            show yamato scold with dissolve
            y "%(povname)s, cut it out!"
            t "Oh, we're on a first name basis now, are we?"
            y "You don't know what you're getting yourself into!"
            t "Don't  I?"
            scene cg yamato with dissolve
            t "Uh..."
            y "Not what you were expecting, huh?"
            "Yamato rolls her- no HIS eyes at me."
            y "No means no, idiot. It doesn't mean \"Oh, I'm just too shy to say what I want!\" It means NO."
            t "I didn't- I mean, I thought-"
            y "No, you really didn't think."
            t "But why are you...I mean..."
            y "I'm currently in hiding because there's a secret society of evil magic users called Dark Dream chasing after Riririri."
            y "I'm her guardian, and I'm in disguise so that I can stay close to her and be there whenever there's trouble."
            y "This group is very dangerous, and they'll kill anyone to get what they want."
            t "Wait, then isn't it dangerous if I know your secret?"
            "Yamato's eyes begin to glow a light blue."
            y "Not really."
            "My mind suddenly goes blank."
            scene cafe with fade
            "Where am I?"
            "Oh, right! The Magical Cosplay Cafe. I saw the most beautiful woman here the other day, and I want to know her better."
            "No, that's not right."
            "Something definitely feels off here. I thought I already worked here. So why am I about to apply for a job?"
            "Maybe I don't work here. Maybe it was just a dream."
            "It feels like such a familiar dream, though."
            "My head hurts. I think I'll go home and sleep for a bit. Maybe everything will make sense when I wake up."
            scene white with dissolve
            centered "Lost Memories End"
            $ persistent.yamatoend = True
            jump credits
    
label end_trueend:
    $ save_name = "The Truth Revealed"
    "Kurokage-san is waiting for me when I arrive. I wonder what she wants to talk about."
    show kuro sad:
        zoom 1.0 xalign 0.5 yalign 1.0
    with dissolve
    k "%(povname)s, I was wondering if I could speak to you about something."
    play music "ayu5.ogg"
    t "What is it?"
    show kuro blush with dissolve
    k "Well, this is a little bit embarrassing. I don't know how to say it..."
    t "It's okay. You can say anything to me."
    show kuro sad with dissolve
    k "When I was a little girl...I met this boy."
    t "Yes?"
    k "I thought he was the one I wanted, and he even promised that he'd always be there for me."
    k "But he disappeared."
    k "All my life, I searched for him, and I think..."
    show kuro blush with dissolve
    k "I think it's you. %(povname)s."
    t "Kurokage..."
    show kuro happy with dissolve
    k "I know it sounds foolish, but I really think you're the one. I want you to be with me always. Will you promise to always be there for me?"
    t "I think it was me, Kurokage. I remember, too!"
    "Wait...something's wrong here."
    "For some reason, I don't feel good about this. I should run!"
    t "No...I uh, I gotta...go..."
    show kuro mad with dissolve
    k "Don't."
    "Kurokage grabs my hand."
    k "Never leave me again."
    "This is sounding less like a love confession and more like a threat..."
    t "Kurokage-san...let go of me."
    show kuro with dissolve
    k "No."
    play music "alchemisttower.ogg"
    "My body starts to feel cold. What's happening to me?"
    show kuro:
        linear .5 xalign .1 zoom .95
    show riri mad:
        xalign .9 yalign 1.0 zoom .95
    with moveinright
    r "Hold it right there!"
    t "Riririri-chan!"
    show riri surpriseblush
    r "Wh-what?"
    r "I'm not Riririri! I'm the defender of light, Magical Girl Puri Lili!"
    show kuro smirk with dissolve
    k "I was wondering when you'd show up, Puri Lili."
    t "What? You're going along with this, Kurokage-san?"
    show riri mad with dissolve
    r "Youko! I hoped that it wasn't you, but now I see that you really are an agent of Dark Dreams!"
    t "Are you guys just going to ignore me?"
    k "The game is over Puri Lili. I have my sacrifice, and now nothing can stop me from summoning the Dark Dream Demon."
    t "You seriously can't tell that's Riririri-chan? Her name's almost identical!"
    r "Sorry, Youko. I'm the Chosen One, and I have the power to stop your summon!"
    t "You don't even wear a mask or anything? Really?"
    "Ririri- uh...Puri Lili's eyes glow for a moment and she begins to chant some words I don't understand."
    r "Puri puri puri uelelelele cha..."
    show kuro mad with dissolve
    k "I won't let you finish that spell!"
    "Kurokage's eyes glow and a she fires a beam of magic at Riririri. Puri Lili. Whatever."
    t "Yamato-san! Riririri-chan's in danger!"
    "I don't know why, but for some reason, I scream for help from Yamato-san. Something inside me says that she has the strength to help us."
    y "Puri Lili!"
    show kuro mad:
        linear .5 xalign -0.1 zoom .9
    show riri mad:
        linear .5 xalign 1.1 zoom .9
    show yamato scold:
        xalign 0.5 yalign 1.0 zoom .9
    with moveinright
    "Yamato-san pushes Ririlili aside, taking the full force of Kurokage's magic blast."
    play sound "lasershot.ogg"
    with hpunch
    y "Agh!"
    show riri surpriseblush with dissolve
    r "Nadeshiko!"
    y "Stop the summon! I'll take care of Kurokage!"
    show riri mad with dissolve
    r "Right!"
    "Puriririri rushes up to me and begins her chant again."
    show kuro smirk with dissolve
    k "Yamato-san? Don't get involved - you're not from the bloodline of heroes."
    y "That's where you're wrong!"
    "Yamato grabs her kimono and tears it away."
    scene cg true with dissolve
    k "The Knight of Valor!"
    r "Oujirou!"
    t "What? Knight of Valor? Oujirou? WAIT, YAMATO-SAN IS A GUY!?"
    t "Since when? He doesn't even have an Adam's apple!"
    "And yet, somehow I feel like I should have known this already..."
    "Actually...I'm pretty sure I knew that already."
    y "I'm sorry for the deception, Puri Lili. I had to make sure you were safe without arousing suspicions."
    t "So you all are just going to keep ignoring me?"
    "Man, I'm even covered up by the text box. I really am just a side character, huh?"
    k "Don't ignore me!"
    play sound "lasershot.ogg"
    with hpunch
    "Kurokage fires off another beam of darkness at the Knight of Crossdressing."
    "He dodges deftly and races towards her, eyes glowing."
    t "Hey. Puri Lili."
    r "Wh-what?"
    t "In case you don't remember, I'm being sacrificed right now. Are you gonna stop this ritual or what?"
    r "O-oh, right!"
    play sound "magicglow.ogg"
    "Riririri-chan chants over me for a few seconds and I begin to feel warmth in my body again."
    t "Can it be? I'm free!"
    scene cafe with dissolve
    t "Thanks, Riririri-chan."
    show riri confused:
        xalign 0.5 yalign 1.0 zoom 1.0
    with dissolve
    r "I'm not Riririri! I'm Puri Lili!"
    t "Are we really still doing this?"
    show riri confused:
        linear .5 xalign .9 zoom .95
    show yamato:
        xalign .1 yalign 1.0 zoom .95
    with moveinleft
    y "Are you two okay?"
    show riri happy with dissolve
    r "Oujirou-sama! I'm fine. Everything's fine. What about Youko?"
    y "I wiped Kurokage's memory. We should be safe now."
    t "Why are you wearing that dress again?"
    show yamato happy with dissolve
    y "The police will be here soon. I'm sure they heard all the explosions. We wouldn't want anything suspicious."
    t "I'd say that all the holes in the walls are pretty suspicious already..."
    show riri with dissolve
    r "But what should we do with %(povname)s? He's seen us, and I think he may have figured out my secret identity."
    t "May have?"
    show yamato with dissolve
    y "It's fine. I'll just wipe his memory again."
    t "AGAIN?"
    show yamato sweatdrop with dissolve
    y "Well...this isn't exactly the first time Kurokage's tried to sacrifice you."
    t "..."
    show yamato with dissolve
    y "You're part of the bloodline of heroes, but you were born without magic, so no one told you."
    t "Thanks. I feel real special now."
    y "Kurokage tried to sacrifice you when you were children because she thought you were the Chosen One."
    y "I stopped her and wiped that event from your memory after-"
    t "Whoa, whoa...hold up."
    t "Did it ever occur to you that we could have avoided this entire situation if you had just let me remember that Kurokage was insane and wanted to sacrifice me to a demon?"
    show yamato surprise with dissolve
    y "Oh. I never thought of that."
    t "Yes. This is clear to me."
    show riri sad with dissolve
    r "Then what should we do? What if more members from Dark Dreams show up?"
    show yamato with dissolve
    y "We'll just have to be better prepared. I'm sorry I almost failed you today, Puri Lili. If it weren't for Henoheno-san calling for me, I wouldn't have come in time."
    r "That's right! How did you know Nadeshiko was actually Oujirou?"
    t "I'm not sure. I just felt like I already knew that Yamato-san was a guy and he was here to protect you."
    "I shake my head. My mind feels fuzzy."
    t "It's like I learned it in a dream. I keep having these flashes of deja vu, like I've already done this before."
    t "For instance, I knew that Kurokage-san was going to try to sacrifice me."
    t "And Riririri-chan...you're really my younger sister."
    show riri surpriseblush with dissolve
    r "What?"
    show yamato surprise with dissolve
    y "How did you know that?"
    t "I don't know. I just do. Like I said, I feel like I've already done this before. So many times."
    show yamato sad with dissolve
    y "Henoheno-san, you must be a Type-X magic user!"
    t "Huh?"
    show yamato with dissolve
    y "It means that you have the ability to turn back time!"
    t "Then why don't you just say that instead of giving it a completely unrelated code name?"
    show riri happy with dissolve
    r "Because it sounds cooler to say Type-X."
    t "So everything I remember is just me living over the same days over and over?"
    y "You must have unconscioiusly been turning back time to get a better outcome for yourself."
    t "I guess that makes sense."
    t "Wait, now that I have special powers, does that mean I'm finally the hero?"
    show riri with dissolve
    r "No. It just means you've been upgraded from minor character to supporting cast. You could be a sidekick if you want."
    t "At this point in time, I'll take what I can get."
    "And thus after all these years, I've finally discovered my magical powers and my role in the battle against evil."
    "I still don't have a girlfriend, though."
    "Maybe I should have stuck with breakdancing."
    scene white with dissolve
    centered "True End : ("
    $ persistent.trueend = True
    jump credits
    
label credits:
    centered "Written by Ayu Sakata\nCharacter design, sprites, and CGs by SaEun Moon"
    centered "Original Soundtrack by dkreuter\nAdditional music by Kevin MacLeod, Aron Shorty"
    centered "Sound Effects by EcoDTR, gezortenplotz,\nljudman, themfish, RHumphries, junggle, Tomlija"
    centered "Built with Ren'py"
    centered "Thanks for playing!"
    return
    
label gallery:
    python hide:

        # Construct a new gallery object.
        g = Gallery()

        # The image used for locked buttons.
        g.locked_button = "lockedthumb.jpg"

        # The background of a locked image.
        g.locked_background = "lockedthumb.jpg"

        # Frames added over unlocked buttons, in hover and idle states.
        g.hover_border = "gallery_hover.png"
        g.idle_border = "gallery_idle.png"

        # An images used as the background of the various gallery pages.
        g.background = "menu.jpg"

        # Lay out the gallery images on the screen.
        # These settings lay images out 3 across and 4 down.
        # The upper left corner of the gird is at xpos 10, ypos 20.
        # They expect button images to be 155x112 in size.
        g.grid_layout((3, 2), (30, 190), (230, 180))

        # Show the background page.
        g.page("Event CGs")

        g.button("thumb_yamato.jpg")
        g.unlock_image("cg yamato")

        g.button("thumb_riri.jpg")
        g.unlock_image("cg riri")
        
        g.button("thumb_kuro.jpg")
        g.unlock_image("cg kuro")
        
        g.button("thumb_true.jpg")
        g.unlock_image("cg true")
        
        g.button("thumb_breakdance.jpg")
        g.unlock_image("cg breakdance")


        # Another page, this one for concept art.
        g.page("Misc. Images")
        
        g.button("thumb_kitchen.jpg")
        g.unlock_image("kitchen")
        
        g.button("thumb_cafe.jpg")
        g.unlock_image("cafe")
        
        g.button("thumb_street.jpg")
        g.unlock_image("street")

        g.button("thumb_sketches.jpg")
        #
        # We can apply conditions to buttons as well as to images.
        # The "condition" condition checks an arbitrary expression.
        g.condition("persistent.trueend")
        #
        g.display("sketches.jpg")


        # Now, show the gallery.
        g.show()

    return
    
init python:

    def set_playing_(track):
        store.playing = track
        return True

    set_playing = renpy.curry(set_playing_)

    # Call this with a button name and a track to define a music
    # button.
    def music_button(name, track):

        if store.playing == track:
            role = "selected_"
        else:
            role = ""

        if not renpy.seen_audio(track):
            name = "???"
            clicked = None
        else:
            clicked = set_playing(track)
        
            
        ui.textbutton(
            name,
            clicked=clicked,
            role=role,
            size_group="music")

        
label music_room:

    scene menuscreen

    python:
        _game_menu_screen = None

        # The default track of music.
        playing = "ayu4.ogg"
        
label music_room_loop:

    # Play the playing music, if it changed.
    python:
        renpy.music.play(playing, if_changed=True, fadeout=1)

        # Display the various music buttons.
        ui.vbox(xalign=0.5, ypos=190)
        music_button("Memory of Summer by dkreuter", "ayu4.ogg")
        music_button("Cold Confession by dkreuter", "ayu5.ogg")
        music_button("Perfect Beauty by dkreuter", "ayu3.ogg")
        music_button("Unrelated Probably by dkreuter", "unrelated.ogg")
        music_button("Somewhere Sunny by Kevin MacLeod", "somewheresunny.ogg")
        music_button("Other Side of the Door by Kevin MacLeod", "othersideofthedoor.ogg")
        music_button("Alchemist's Tower by Kevin MacLeod", "alchemisttower.ogg")
        music_button("Who is the Best? by Aron Shorty", "breakdance.ogg")
        ui.close()

        # This is how we return to the main menu.
        ui.textbutton(
            "Return",
            clicked=ui.returns(False),
            xalign=0.5,
            ypos=480,
            size_group="music")

    if ui.interact():
        jump music_room_loop
    else:
        return

